| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Class Methods
MediaInformationJsonParser Class Reference

`#import <MediaInformationJsonParser.h>`

## Class Methods
(MediaInformation *) | + from:
(MediaInformation *) | + fromWithError:

## Detailed Description

A parser that constructs MediaInformation from FFprobe's json output.

Definition at line 29 of file MediaInformationJsonParser.h.

## Method Documentation

## ◆ from:

+ (MediaInformation *) from: |  | (NSString*) | ffprobeJsonOutput |

Extracts `MediaInformation` from the given FFprobe json output.

Parameters

  ffprobeJsonOutput | FFprobe json output

Returns
  created MediaInformation instance of nil if a parsing error occurs

Definition at line 23 of file MediaInformationJsonParser.m.

## ◆ fromWithError:

+ (MediaInformation *) fromWithError: |  | (NSString*) | ffprobeJsonOutput |

Extracts `MediaInformation` from the given FFprobe json output. If a parsing error occurs an NSException is thrown.

Parameters

  ffprobeJsonOutput | FFprobe json output

Returns
  created MediaInformation instance

Definition at line 23 of file MediaInformationJsonParser.m.

The documentation for this class was generated from the following files:

- MediaInformationJsonParser.h
- MediaInformationJsonParser.m